Upstream information

CVE-2017-1000381 at MITRE

Description

The c-ares function `ares_parse_naptr_reply()`, which is used for parsing NAPTR responses, could be triggered to read memory outside of the given input buffer if the passed in DNS response packet was crafted in a particular way.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 5 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None Low
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1044946 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libcares2 >= 1.9.1-9.4.1
SUSE Enterprise Storage 4
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
Patchnames:
SUSE-Storage-4-2017-1331
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • c-ares-devel >= 1.14.0-1.17
  • libcares2 >= 1.14.0-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA c-ares-devel-1.14.0-1.17
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • c-ares-devel >= 1.17.0-3.11.1
  • libcares2 >= 1.17.0-3.11.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA c-ares-devel-1.17.0-3.11.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • c-ares-devel >= 1.15.0+20200117-3.5.1
  • libcares2 >= 1.15.0+20200117-3.5.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA c-ares-devel-1.15.0+20200117-3.5.1
SUSE Linux Enterprise Desktop 12 SP2
  • libcares-devel >= 1.9.1-8.1
  • libcares2 >= 1.9.1-8.1
  • libcares2-32bit >= 1.9.1-8.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1117
SUSE-SLE-SDK-12-SP2-2017-1117
SUSE-SLE-WE-12-SP2-2017-1117
SUSE Linux Enterprise Desktop 12 SP4
  • libcares-devel >= 1.9.1-9.4.1
  • libcares2 >= 1.9.1-9.4.1
  • libcares2-32bit >= 1.9.1-9.4.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libcares2-1.9.1-9.4.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libcares2-32bit-1.9.1-9.4.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • c-ares-devel >= 1.17.1+20200724-3.17.1
  • libcares2 >= 1.17.1+20200724-3.17.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA c-ares-devel-1.17.1+20200724-3.17.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • c-ares-devel >= 1.14.0-1.17
  • libcares2 >= 1.14.0-1.17
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA c-ares-devel-1.14.0-1.17
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libcares2 >= 1.9.1-9.4.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libcares2-1.9.1-9.4.1
SUSE Linux Enterprise High Performance Computing 12
SUSE Linux Enterprise Module for Web and Scripting 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs4-devel >= 4.8.4-15.5.1
  • nodejs4-docs >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
  • nodejs6-devel >= 6.11.1-11.5.1
  • nodejs6-docs >= 6.11.1-11.5.1
  • npm4 >= 4.8.4-15.5.1
  • npm6 >= 6.11.1-11.5.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2017-1331
SUSE Linux Enterprise Micro 5.1
  • libcares2 >= 1.17.1+20200724-3.14.1
Patchnames:
SUSE Linux Enterprise Micro 5.1 GA libcares2-1.17.1+20200724-3.14.1
SUSE Linux Enterprise Micro 5.2
  • libcares2 >= 1.17.1+20200724-3.17.1
Patchnames:
SUSE Linux Enterprise Micro 5.2 GA libcares2-1.17.1+20200724-3.17.1
SUSE Linux Enterprise Micro 5.3
  • libcares2 >= 1.17.1+20200724-3.17.1
Patchnames:
SUSE Linux Enterprise Micro 5.3 GA libcares2-1.17.1+20200724-3.17.1
SUSE Linux Enterprise Micro 5.4
  • libcares2 >= 1.19.0-150000.3.20.1
Patchnames:
SUSE Linux Enterprise Micro 5.4 GA libcares2-1.19.0-150000.3.20.1
SUSE Linux Enterprise Server 11 SP4-LTSS
  • MozillaFirefox >= 68.2.0-78.51.4
  • MozillaFirefox-branding-SLED >= 68-21.9.8
  • MozillaFirefox-translations-common >= 68.2.0-78.51.4
  • MozillaFirefox-translations-other >= 68.2.0-78.51.4
  • firefox-atk-lang >= 2.26.1-2.8.4
  • firefox-gdk-pixbuf-lang >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-query-loaders >= 2.36.11-2.8.4
  • firefox-gdk-pixbuf-thumbnailer >= 2.36.11-2.8.4
  • firefox-gio-branding-upstream >= 2.54.3-2.14.7
  • firefox-glib2-lang >= 2.54.3-2.14.7
  • firefox-glib2-tools >= 2.54.3-2.14.7
  • firefox-gtk3-branding-upstream >= 3.10.9-2.15.3
  • firefox-gtk3-data >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-amharic >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-inuktitut >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-multipress >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-thai >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-vietnamese >= 3.10.9-2.15.3
  • firefox-gtk3-immodule-xim >= 3.10.9-2.15.3
  • firefox-gtk3-immodules-tigrigna >= 3.10.9-2.15.3
  • firefox-gtk3-lang >= 3.10.9-2.15.3
  • firefox-gtk3-tools >= 3.10.9-2.15.3
  • firefox-libatk-1_0-0 >= 2.26.1-2.8.4
  • firefox-libcairo-gobject2 >= 1.15.10-2.13.4
  • firefox-libcairo2 >= 1.15.10-2.13.4
  • firefox-libffi4 >= 5.3.1+r233831-14.1
  • firefox-libffi7 >= 3.2.1.git259-2.3.3
  • firefox-libgdk_pixbuf-2_0-0 >= 2.36.11-2.8.4
  • firefox-libgtk-3-0 >= 3.10.9-2.15.3
  • firefox-libharfbuzz0 >= 1.7.5-2.7.4
  • firefox-libpango-1_0-0 >= 1.40.14-2.7.4
  • libfirefox-gio-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-glib-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gmodule-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gobject-2_0-0 >= 2.54.3-2.14.7
  • libfirefox-gthread-2_0-0 >= 2.54.3-2.14.7
  • libfreebl3 >= 3.45-38.9.3
  • libfreebl3-32bit >= 3.45-38.9.3
  • libsoftokn3 >= 3.45-38.9.3
  • libsoftokn3-32bit >= 3.45-38.9.3
  • mozilla-nspr >= 4.21-29.6.1
  • mozilla-nspr-32bit >= 4.21-29.6.1
  • mozilla-nspr-devel >= 4.21-29.6.1
  • mozilla-nss >= 3.45-38.9.3
  • mozilla-nss-32bit >= 3.45-38.9.3
  • mozilla-nss-certs >= 3.45-38.9.3
  • mozilla-nss-certs-32bit >= 3.45-38.9.3
  • mozilla-nss-devel >= 3.45-38.9.3
  • mozilla-nss-tools >= 3.45-38.9.3
Patchnames:
slessp4-firefox-201910-14246
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libcares-devel >= 1.9.1-8.1
  • libcares2 >= 1.9.1-8.1
  • libcares2-32bit >= 1.9.1-8.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1117
SUSE-SLE-SERVER-12-SP2-2017-1117
SUSE-SLE-WE-12-SP2-2017-1117
SUSE Linux Enterprise Server 12 SP4
  • libcares-devel >= 1.9.1-9.4.1
  • libcares2 >= 1.9.1-9.4.1
  • libcares2-32bit >= 1.9.1-9.4.1
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs4-devel >= 4.8.4-15.5.1
  • nodejs4-docs >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
  • nodejs6-devel >= 6.11.1-11.5.1
  • nodejs6-docs >= 6.11.1-11.5.1
  • npm4 >= 4.8.4-15.5.1
  • npm6 >= 6.11.1-11.5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libcares2-1.9.1-9.4.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libcares2-32bit-1.9.1-9.4.1
SUSE-SLE-Module-Web-Scripting-12-2017-1331
SUSE Linux Enterprise Server 12 SP5
  • libcares-devel >= 1.9.1-9.4.1
  • libcares2 >= 1.9.1-9.4.1
  • libcares2-32bit >= 1.9.1-9.4.1
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs4-devel >= 4.8.4-15.5.1
  • nodejs4-docs >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
  • nodejs6-devel >= 6.11.1-11.5.1
  • nodejs6-docs >= 6.11.1-11.5.1
  • npm4 >= 4.8.4-15.5.1
  • npm6 >= 6.11.1-11.5.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libcares2-1.9.1-9.4.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libcares2-32bit-1.9.1-9.4.1
SUSE-SLE-Module-Web-Scripting-12-2017-1331
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libcares2 >= 1.9.1-8.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1117
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libcares-devel >= 1.9.1-9.4.1
  • libcares2-32bit >= 1.9.1-9.4.1
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs4-devel >= 4.8.4-15.5.1
  • nodejs4-docs >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
  • nodejs6-devel >= 6.11.1-11.5.1
  • nodejs6-docs >= 6.11.1-11.5.1
  • npm4 >= 4.8.4-15.5.1
  • npm6 >= 6.11.1-11.5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libcares2-32bit-1.9.1-9.4.1
SUSE-SLE-Module-Web-Scripting-12-2017-1331
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libcares-devel >= 1.9.1-9.4.1
  • libcares2-32bit >= 1.9.1-9.4.1
  • nodejs-common >= 1.0-2.1
  • nodejs4 >= 4.8.4-15.5.1
  • nodejs4-devel >= 4.8.4-15.5.1
  • nodejs4-docs >= 4.8.4-15.5.1
  • nodejs6 >= 6.11.1-11.5.1
  • nodejs6-devel >= 6.11.1-11.5.1
  • nodejs6-docs >= 6.11.1-11.5.1
  • npm4 >= 4.8.4-15.5.1
  • npm6 >= 6.11.1-11.5.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libcares2-32bit-1.9.1-9.4.1
SUSE-SLE-Module-Web-Scripting-12-2017-1331
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libcares-devel >= 1.9.1-8.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1117
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libcares-devel >= 1.9.1-9.4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libcares-devel >= 1.9.1-9.4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libcares-devel-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libcares2-32bit >= 1.9.1-8.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-1117
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libcares2-32bit >= 1.9.1-9.4.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP4 GA libcares2-32bit-1.9.1-9.4.1
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libcares2-32bit >= 1.9.1-9.4.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP5 GA libcares2-32bit-1.9.1-9.4.1
SUSE OpenStack Cloud 7
  • nodejs-common >= 1.0-2.1
  • nodejs6 >= 6.11.1-11.5.1
Patchnames:
SUSE-OpenStack-Cloud-7-2017-1331
openSUSE Leap 15.0
  • libcares2 >= 1.14.0-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libcares2-1.14.0-lp150.1.1
openSUSE Leap 15.2
  • libcares2 >= 1.15.0+20200117-lp152.1.6
Patchnames:
openSUSE Leap 15.2 GA libcares2-1.15.0+20200117-lp152.1.1
openSUSE Leap 15.3
  • libcares2 >= 1.17.0-3.11.1
Patchnames:
openSUSE Leap 15.3 GA libcares2-1.17.0-3.11.1
openSUSE Leap 15.4
  • libcares2 >= 1.17.1+20200724-3.17.1
Patchnames:
openSUSE Leap 15.4 GA libcares2-1.17.1+20200724-3.17.1
openSUSE Tumbleweed
  • c-ares-devel >= 1.17.2-2.2
  • c-ares-utils >= 1.17.2-2.2
  • libcares2 >= 1.17.2-2.2
  • libcares2-32bit >= 1.17.2-2.2
Patchnames:
openSUSE Tumbleweed GA c-ares-devel-1.17.2-2.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 c-ares Already fixed
SUSE Enterprise Storage 7 nodejs10 Already fixed
SUSE Enterprise Storage 7 nodejs12 Ignore
SUSE Enterprise Storage 7.1 c-ares Already fixed
SUSE Enterprise Storage 7.1 nodejs-common Ignore
SUSE Enterprise Storage 7.1 nodejs12 Ignore
SUSE Linux Enterprise Desktop 15 SP4 c-ares Already fixed
SUSE Linux Enterprise Desktop 15 SP5 c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 12 nodejs-common Released
SUSE Linux Enterprise High Performance Computing 12 nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 12 nodejs12 Already fixed
SUSE Linux Enterprise High Performance Computing 12 nodejs4 Released
SUSE Linux Enterprise High Performance Computing 12 nodejs6 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libcares2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP5 c-ares Already fixed
SUSE Linux Enterprise Micro 5.1 c-ares Already fixed
SUSE Linux Enterprise Micro 5.2 c-ares Already fixed
SUSE Linux Enterprise Micro 5.3 c-ares Already fixed
SUSE Linux Enterprise Micro 5.4 c-ares Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 c-ares Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP5 c-ares Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs-common Released
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs10 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs12 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs4 Released
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs6 Released
SUSE Linux Enterprise Real Time 15 SP3 c-ares Already fixed
SUSE Linux Enterprise Server 12 SP5 libcares2 Released
SUSE Linux Enterprise Server 12 SP5 nodejs-common Released
SUSE Linux Enterprise Server 12 SP5 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 SP5 nodejs12 Already fixed
SUSE Linux Enterprise Server 12 SP5 nodejs4 Released
SUSE Linux Enterprise Server 12 SP5 nodejs6 Released
SUSE Linux Enterprise Server 12-LTSS libcares2 Released
SUSE Linux Enterprise Server 15 SP4 c-ares Already fixed
SUSE Linux Enterprise Server 15 SP5 c-ares Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libcares2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs-common Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs12 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs4 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs6 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 c-ares Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 c-ares Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 libcares2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP5 libcares2 Released
SUSE Manager Proxy 4.2 c-ares Already fixed
SUSE Manager Proxy 4.2 nodejs-common Ignore
SUSE Manager Proxy 4.2 nodejs12 Ignore
SUSE Manager Proxy 4.3 c-ares Already fixed
SUSE Manager Retail Branch Server 4.2 c-ares Already fixed
SUSE Manager Retail Branch Server 4.2 nodejs-common Ignore
SUSE Manager Retail Branch Server 4.2 nodejs12 Ignore
SUSE Manager Retail Branch Server 4.3 c-ares Already fixed
SUSE Manager Server 4.2 c-ares Already fixed
SUSE Manager Server 4.2 nodejs-common Ignore
SUSE Manager Server 4.2 nodejs12 Ignore
SUSE Manager Server 4.3 c-ares Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 nodejs8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 nodejs8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS nodejs8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS nodejs8 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 nodejs12 Ignore
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS nodejs12 Ignore
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS nodejs12 Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3 nodejs-common Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3 nodejs12 Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS nodejs-common Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS nodejs12 Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS nodejs-common Ignore
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS nodejs12 Ignore
SUSE Linux Enterprise High Performance Computing 15-ESPOS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS nodejs8 Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS c-ares Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS nodejs8 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 c-ares Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 c-ares Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 nodejs10 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP1 nodejs8 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs10 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs12 Ignore
SUSE Linux Enterprise Module for Web and Scripting 15 SP3 nodejs-common Ignore
SUSE Linux Enterprise Module for Web and Scripting 15 SP3 nodejs12 Ignore
SUSE Linux Enterprise Server 12 SP2-BCL libcares2 Released
SUSE Linux Enterprise Server 12 SP4 libcares2 Affected
SUSE Linux Enterprise Server 12 SP4 nodejs-common Released
SUSE Linux Enterprise Server 12 SP4 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 SP4 nodejs12 Already fixed
SUSE Linux Enterprise Server 12 SP4 nodejs4 Released
SUSE Linux Enterprise Server 12 SP4 nodejs6 Released
SUSE Linux Enterprise Server 12 SP4-LTSS libcares2 Released
SUSE Linux Enterprise Server 15 SP1 c-ares Already fixed
SUSE Linux Enterprise Server 15 SP1 nodejs10 Already fixed
SUSE Linux Enterprise Server 15 SP1 nodejs8 Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS c-ares Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS nodejs10 Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS nodejs8 Already fixed
SUSE Linux Enterprise Server 15 SP2 c-ares Already fixed
SUSE Linux Enterprise Server 15 SP2 nodejs10 Already fixed
SUSE Linux Enterprise Server 15 SP2 nodejs12 Ignore
SUSE Linux Enterprise Server 15 SP2-LTSS c-ares Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS nodejs10 Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS nodejs12 Ignore
SUSE Linux Enterprise Server 15 SP3 nodejs-common Ignore
SUSE Linux Enterprise Server 15 SP3 nodejs12 Ignore
SUSE Linux Enterprise Server 15 SP3-LTSS c-ares Already fixed
SUSE Linux Enterprise Server 15 SP3-LTSS nodejs-common Ignore
SUSE Linux Enterprise Server 15 SP3-LTSS nodejs12 Ignore
SUSE Linux Enterprise Server 15-ESPOS c-ares Already fixed
SUSE Linux Enterprise Server 15-ESPOS nodejs10 Already fixed
SUSE Linux Enterprise Server 15-ESPOS nodejs8 Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 c-ares Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 nodejs10 Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 nodejs8 Already fixed
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 nodejs-common Ignore
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 nodejs12 Ignore
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libcares2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs-common Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs12 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs4 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs6 Released
SUSE Linux Enterprise Server for SAP Applications 15 c-ares Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 c-ares Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 c-ares Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 nodejs12 Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP3 c-ares Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 nodejs-common Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP3 nodejs12 Ignore
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libcares2 Released
SUSE CaaS Platform 4.0 c-ares Already fixed
SUSE CaaS Platform 4.0 nodejs10 Already fixed
SUSE CaaS Platform 4.0 nodejs8 Already fixed
SUSE Enterprise Storage 4 nodejs-common Released
SUSE Enterprise Storage 4 nodejs4 Released
SUSE Enterprise Storage 4 nodejs6 Released
SUSE Enterprise Storage 6 c-ares Already fixed
SUSE Enterprise Storage 6 nodejs10 Already fixed
SUSE Enterprise Storage 6 nodejs8 Already fixed
SUSE Linux Enterprise Desktop 11 SP4 libcares2 Not affected
SUSE Linux Enterprise Desktop 12 libcares2 Affected
SUSE Linux Enterprise Desktop 12 SP1 libcares2 Affected
SUSE Linux Enterprise Desktop 12 SP2 libcares2 Released
SUSE Linux Enterprise Desktop 12 SP3 libcares2 Affected
SUSE Linux Enterprise Desktop 12 SP4 libcares2 Affected
SUSE Linux Enterprise Desktop 15 c-ares Already fixed
SUSE Linux Enterprise Desktop 15 SP1 c-ares Already fixed
SUSE Linux Enterprise Desktop 15 SP2 c-ares Already fixed
SUSE Linux Enterprise Module for Basesystem 15 c-ares Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 nodejs10 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 nodejs8 Already fixed
SUSE Linux Enterprise Real Time 15 SP2 c-ares Already fixed
SUSE Linux Enterprise Server 11 SP3 libcares2 Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS libcares2 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS libcares2 Not affected
SUSE Linux Enterprise Server 11 SP4 libcares2 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS MozillaFirefox Released
SUSE Linux Enterprise Server 11 SP4-LTSS MozillaFirefox-branding-SLED Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-atk Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-cairo Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-gdk-pixbuf Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-glib2 Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-gtk3 Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-harfbuzz Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-libffi Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-libffi-gcc5 Released
SUSE Linux Enterprise Server 11 SP4-LTSS firefox-pango Released
SUSE Linux Enterprise Server 11 SP4-LTSS libcares2 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS mozilla-nspr Released
SUSE Linux Enterprise Server 11 SP4-LTSS mozilla-nss Released
SUSE Linux Enterprise Server 12 libcares2 Affected
SUSE Linux Enterprise Server 12 nodejs-common Released
SUSE Linux Enterprise Server 12 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 nodejs12 Already fixed
SUSE Linux Enterprise Server 12 nodejs4 Released
SUSE Linux Enterprise Server 12 nodejs6 Released
SUSE Linux Enterprise Server 12 SP1 libcares2 Affected
SUSE Linux Enterprise Server 12 SP1-LTSS libcares2 Released
SUSE Linux Enterprise Server 12 SP2 libcares2 Released
SUSE Linux Enterprise Server 12 SP2-ESPOS libcares2 Affected
SUSE Linux Enterprise Server 12 SP2-LTSS libcares2 Affected
SUSE Linux Enterprise Server 12 SP3 libcares2 Affected
SUSE Linux Enterprise Server 12 SP3 nodejs-common Released
SUSE Linux Enterprise Server 12 SP3 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 SP3 nodejs12 Already fixed
SUSE Linux Enterprise Server 12 SP3 nodejs4 Released
SUSE Linux Enterprise Server 12 SP3 nodejs6 Released
SUSE Linux Enterprise Server 12 SP3-BCL libcares2 Released
SUSE Linux Enterprise Server 12 SP3-ESPOS libcares2 Released
SUSE Linux Enterprise Server 12 SP3-LTSS libcares2 Released
SUSE Linux Enterprise Server 12 SP4-ESPOS libcares2 Released
SUSE Linux Enterprise Server 15 c-ares Already fixed
SUSE Linux Enterprise Server 15 nodejs10 Already fixed
SUSE Linux Enterprise Server 15 nodejs8 Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL c-ares Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL nodejs10 Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL nodejs8 Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL c-ares Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL nodejs10 Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL nodejs12 Ignore
SUSE Linux Enterprise Server 15 SP3-BCL nodejs-common Ignore
SUSE Linux Enterprise Server 15 SP3-BCL nodejs12 Ignore
SUSE Linux Enterprise Server 15-LTSS c-ares Already fixed
SUSE Linux Enterprise Server 15-LTSS nodejs10 Already fixed
SUSE Linux Enterprise Server 15-LTSS nodejs8 Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libcares2 Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 libcares2 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 libcares2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 nodejs-common Released
SUSE Linux Enterprise Server for SAP Applications 12 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 nodejs12 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 nodejs4 Released
SUSE Linux Enterprise Server for SAP Applications 12 nodejs6 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libcares2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libcares2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libcares2 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs-common Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs12 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs4 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs6 Released
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 libcares2 Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libcares2 Not affected
SUSE Linux Enterprise Software Development Kit 12 libcares2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libcares2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libcares2 Released
SUSE Linux Enterprise Software Development Kit 12 SP3 libcares2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libcares2 Affected
SUSE Linux Enterprise Workstation Extension 12 libcares2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 libcares2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 libcares2 Released
SUSE Linux Enterprise Workstation Extension 12 SP3 libcares2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 libcares2 Affected
SUSE Manager Proxy 4.0 c-ares Already fixed
SUSE Manager Proxy 4.0 nodejs10 Already fixed
SUSE Manager Proxy 4.0 nodejs8 Already fixed
SUSE Manager Proxy 4.1 c-ares Already fixed
SUSE Manager Proxy 4.1 nodejs10 Already fixed
SUSE Manager Proxy 4.1 nodejs12 Ignore
SUSE Manager Retail Branch Server 4.0 c-ares Already fixed
SUSE Manager Retail Branch Server 4.0 nodejs10 Already fixed
SUSE Manager Retail Branch Server 4.0 nodejs8 Already fixed
SUSE Manager Retail Branch Server 4.1 c-ares Already fixed
SUSE Manager Retail Branch Server 4.1 nodejs10 Already fixed
SUSE Manager Retail Branch Server 4.1 nodejs12 Ignore
SUSE Manager Server 4.0 c-ares Already fixed
SUSE Manager Server 4.0 nodejs10 Already fixed
SUSE Manager Server 4.0 nodejs8 Already fixed
SUSE Manager Server 4.1 c-ares Already fixed
SUSE Manager Server 4.1 nodejs10 Already fixed
SUSE Manager Server 4.1 nodejs12 Ignore
SUSE OpenStack Cloud 7 libcares2 Affected
SUSE OpenStack Cloud 7 nodejs-common Released
SUSE OpenStack Cloud 7 nodejs6 Released
SUSE OpenStack Cloud 8 libcares2 Released
SUSE OpenStack Cloud 9 libcares2 Released
SUSE OpenStack Cloud Crowbar 8 libcares2 Released
SUSE OpenStack Cloud Crowbar 8 nodejs-common Released
SUSE OpenStack Cloud Crowbar 8 nodejs6 Released
SUSE OpenStack Cloud Crowbar 9 libcares2 Released
SUSE OpenStack Cloud Crowbar 9 nodejs-common Released
SUSE OpenStack Cloud Crowbar 9 nodejs6 Released
Container Status
bci/node:12
bci/node:14
bci/nodejs
nodejs-commonIgnore
bci/node:12 nodejs12Ignore


SUSE Timeline for this CVE

CVE page created: Mon Jun 19 15:45:51 2017
CVE page last modified: Mon May 22 17:00:33 2023